cwidget (0.5.18-3) unstable; urgency=medium

  * Change shlibs version to the correct 0.5.18-1

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 26 Aug 2019 01:02:20 +0200

cwidget (0.5.18-2) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 25 Aug 2019 22:43:25 +0200

cwidget (0.5.18-1) experimental; urgency=medium

  * New upstream release
  * Rename libcwidget3v5 to libcwidget4 (new SOVERSION)
  * d/patches: drop all, patches not needed with new upstream release
    - bug-897733-fix-ftbfs-gcc-8.patch
    - do-not-write-timestamps-in-documentation
    - fix-FTBFS-with-libncursesw6.patch
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 12
    - d/compat: level 12
    - d/control: Setting Build-Depends of debhelper accordingly
  * d/watch: add file

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Jun 2019 02:00:26 +0200

cwidget (0.5.17-11) unstable; urgency=medium

  * Fix Vcs-Git field
  * d/patches:
    - Add bug-897733-fix-ftbfs-gcc-8.patch (Closes: #897733)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 Jul 2018 22:21:50 +0200

cwidget (0.5.17-10) unstable; urgency=medium

  * Release to unstable for ncurses transition to libncursesw6

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 27 Apr 2018 00:30:10 +0200

cwidget (0.5.17-9) experimental; urgency=medium

  * Changes from Sven Joachim discussed in #891161 (thanks!) to deal with
    the new ABI of ncurses and libncursesw6:
    - Bump shlibs to (>= 0.5.17-8)
    - Declare Breaks against aptitude built with previous cwidget versions
  * Update Vcs-* fields with repository in its own group

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 Apr 2018 20:23:30 +0200

cwidget (0.5.17-8) experimental; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Update Vcs-* fields for "salsa" hosting
  * Bump build-dependency of ncurses to the newest ABI of libncursesw6:
    libncurses-dev (>= 6.0+20180210)
  * d/patches:
    - add fix-FTBFS-with-libncursesw6.patch to fix problem compiling
      against this version, by disabling code (that was de facto not used
      for many years, if ever) to not cause problems for aptitude until the
      ABI of cwidget is bumped (Closes: #891161)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 Apr 2018 15:25:51 +0200

cwidget (0.5.17-7) unstable; urgency=medium

  * Bump debhelper compatibility level to 11
    - d/compat: level 11
    - d/control: Setting Build-Depends of debhelper accordingly, and
      remove explicit dependency on dh-autoreconf (included by debhelper
      already since level 10)
    - API documentation moved under /usr/share/doc/libcwidget-dev as
      recommended by policy 12.3
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Set "Rules-Requires-Root: no" in d/control
  * Remove "Testsuite: autopkgtest" from d/control, unnecessary
    - lintian warning: unnecessary-testsuite-autopkgtest-header
  * Convert debian/copyright to machine-readable DEP5 format

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 01 Jan 2018 22:33:31 +0100

cwidget (0.5.17-6) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 20 Jun 2017 19:26:32 +0200

cwidget (0.5.17-5) experimental; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * d/rules: do not hardcode '-std=c++11', there are new standards now and
    we don't need to keep in sync this library and aptitude
  * d/compat: level 10
    - d/control: Setting Build-Depends accordingly
    - d/rules: not passing --parallel and --with autoreconf, they are the
      default now
  * Migrate to -dbgsym
  * d/tests/compile-example-testcwidget: Remove '-std=c++11' compiler flag
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Update URLs to their secure versions

  [ Helmut Grohne ]
  * Drop versioned g++ dependency, because the libstdc++6 transition is
    complete and the dependency breaks cross compilation.
    (Closes: #862200)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 10 May 2017 00:10:27 +0200

cwidget (0.5.17-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Fix failure with autopkgtest when using g++ 5 (Closes: #795177).
    Thanks Martin Pitt.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Aug 2015 14:13:04 +0100

cwidget (0.5.17-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libcwidget3 to libcwidget3v5, libcwidget3 to libcwidget3v5,
    follow-up for the libstdc++6 ABI transition. Addresses: #794594.
  * Add Conflicts/Replaces for the old packages.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:46:19 +0200

cwidget (0.5.17-3) unstable; urgency=low

  * Changes to build with GCC-5 and in C++11 mode (Closes: #792681).
    Thanks Matthias Klose.  Prompted by:
    - transition to GCC-5 as default compiler in Debian unstable;
    - failure to compile cwidget without -std=c++11 with
      this new version;
    - there is a change in the ABI of libstdc++ w.r.t. GCC < 5, in
      std::string, std::list and other parts (sigc++-2.0 is a dependency of
      cwidget and uses std::list in the API)
  * Quell lintian warning xs-testsuite-header-in-debian-control by
    removing XS- prefix in debian/control
  * Revamp options passed to the compiler, among others some obsolete
    compiler flags that tried to address a problem with old versions of
    the compiler, but that were actually not enabled since long ago
  * Do not install jquery.js and link it from documentation directories in
    another place where it cropped up
  * Update Build-Depends-Indep on perlmagick to libimage-magick-perl
    (Closes: #789224).  Thanks Martin Michlmayr.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 31 Jul 2015 01:10:21 +0100

cwidget (0.5.17-2) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.  (Closes:
    #762666)

  [ Manuel A. Fernandez Montecelo ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Change priority of source package to 'optional' (from 'extra'), and
    remove the override of priority 'important' for the binary package
    libcwidget3

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 28 Sep 2014 16:03:09 +0100

cwidget (0.5.17-1) unstable; urgency=medium

  * New upstream release
    - Incorporated changes of last NMUs
    - Remove -1.9 from some of the autotools commands, run instead the
      latest/default versions of the system (1.9 is quite old by now)
  * debian/source/format: move from "1.0" to "3.0 (quilt)"
  * debian/compat: level 9
    - Multi-Arch enabled now
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 22 Feb 2014 00:21:23 +0000

cwidget (0.5.16-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Use dh-autoreconf instead of autotools-dev for better new-port
    coverage.  Thanks Colin Watson for the report and the patch (I applied
    it by hand and slightly modified since it didn't apply cleanly).
    (Closes: #732539)
  * Quell lintian warnings:
    - embedded-javascript-library: add Depends on libjs-jquery in the -doc
      package, and create a symbolic link instead of install the local copy
      of the file "jquery.min.js"
    - "binary-control-field-duplicates-source": remove duplicate Priority
      field from most of the binary packages
    - missing-debian-source-format: add "1.0" to "debian/source/format"
      for the time being
    - vcs-field-not-canonical
    - no-upstream-changelog: upstream's NEWS is the changelog
  * In -doc package, downgrade browser from Recommends to Suggests
  * VCS changed from 'cwidget/debian/.git' to 'cwidget/cwidget.git'

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 21 Feb 2014 18:02:04 +0000

cwidget (0.5.16-4) unstable; urgency=medium

  * New maintainer (Closes: #738893)
  * Incorporate changes from all previous NMUs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 15 Feb 2014 16:45:15 +0000

cwidget (0.5.16-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * Support cross-building (thanks, Eleanor Chen; closes: #721357).
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725913).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 10:02:05 +0000

cwidget (0.5.16-3.4) unstable; urgency=low

  * Non-maintainer upload.

  [ New translations ]
  * Japanese, thanks to Kenshi Muto. (Closes: #675739)
  * Chinese (China), thanks to Never Min.
  * Russian, thanks to Yuri Kozlov. (Closes: #676247)
  * Thai, thanks to Theppitak Karoonboonyanan. (Closes: 676905)
  * Brazilian, thanks to Adriano Rafael Gomes. (Closes: 676989)
  * Croatian, thanks to Tomislav Krznar.
  * All remaining translations from aptitude.

 -- David Prévot <taffit@debian.org>  Sun, 17 Jun 2012 15:26:05 -0400

cwidget (0.5.16-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Actually display translated strings: cherry-pick c65cae upstream, and use
    libcwidget3 as domain name in src/cwidget/generic/util/i18n.h and
    po/Makevars; install usr/share/locale files. (Closes: #559738)
  * Cursor displayed in proper place for wide-char prompt, thanks to Daniel
    Hartwig. (Closes: #316939)
  * Pressing 'delete' in search/tree limit dialog delete previous entry
    thanks to Samuel Fogh. (Closes: #493320)

  [ New translations ]
  * German, thanks to Sven Joachim. (Closes: #561147)
  * Spanish, thanks to Omar Campagne. (Closes: #655849)
  * French, thanks to Julien Patriarca. (Closes: #655689)
  * Polish, thanks to Michał Kułach. (Closes: #660944)
  * Danish, thanks to Joe Hansen. (Closes: #671762)
  * Czech, thanks to Michal Šimůnek. (Closes: #673141)

 -- David Prévot <taffit@debian.org>  Sat, 02 Jun 2012 20:33:52 -0400

cwidget (0.5.16-3.2) unstable; urgency=low

  * Non maintainer upload.
  * Build using hardened build flags. Closes: #656024.
  * Fix build failure with GCC-4.7. Closes: #667147.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Apr 2012 19:40:07 +0200

cwidget (0.5.16-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621184).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 16:31:11 +0200

cwidget (0.5.16-3) unstable; urgency=low

  * Disable strict aliasing to prevent g++ from erroring out in the build.
    "Fixing" it this way is a horrible hack, but the error message is
    entirely incomprehensible, I can't figure out which code, if any, is
    at fault here, and my attempts to fix it by phrasing the code
    differently have failed. (Closes: #561157, #526674)

  * Add misc:Depends entries on the Depends lines.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Jan 2010 14:22:37 -0800

cwidget (0.5.16-2) unstable; urgency=low

  * Try a less subtle approach to fixing the threading test cases on hppa.
    (Closes: #557982)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 30 Nov 2009 15:10:53 -0800

cwidget (0.5.16-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 29 Nov 2009 18:45:42 -0800

cwidget (0.5.15-1) unstable; urgency=low

  * New upstream version.

    + Hopefully fixes the FTBFS on hppa (Closes: #546171).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 29 Nov 2009 12:50:15 -0800

cwidget (0.5.14-1) unstable; urgency=low

  * New upstream version.

    + Fix a divide-by-zero in the column fragment code. (Closes: #556185)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 17 Nov 2009 12:33:11 -0800

cwidget (0.5.13-1) unstable; urgency=low

  * New upstream version.

  * Move libcwidget3-dbg into the "debug" section as per the new archive
    layout.

  * Remove doc/ikiwiki/.ikiwiki in "clean".

  * Add perlmagick to Build-Depends-Indep. (Closes: #497877)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 05 Sep 2009 09:46:41 -0700

cwidget (0.5.12-4) unstable; urgency=low

  * Backport a fix for a nasty deadlock that was causing aptitude to
    freeze up after running dpkg. (Closes: #511708)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 27 Jan 2009 23:18:01 -0800

cwidget (0.5.12-3) unstable; urgency=low

  * Fix the string truncation fix so that it doesn't enter an infinite
    loop and use up all the available memory when the output string is
    empty.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 06 Sep 2008 16:22:07 -0700

cwidget (0.5.12-2) unstable; urgency=low

  * Backport a fix for a string truncation bug from HEAD (Closes: #496119).

  * Fix the URL to the packaging VCS (Closes: #492584).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 31 Aug 2008 22:01:53 -0700

cwidget (0.5.12-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 28 Jun 2008 08:58:24 -0700

cwidget (0.5.11-1) unstable; urgency=low

  * New upstream version; really fixes the backspacing problem.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 12 Apr 2008 08:03:45 -0700

cwidget (0.5.10-1) unstable; urgency=low

  * New upstream version.

    - Treat KEY_DC, KEY_BACKSPACE, and character 127 as equivalent in
      key_matches().  (Closes: #452651)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 11 Apr 2008 22:13:27 -0700

cwidget (0.5.9-1) unstable; urgency=low

  * New upstream version.

    - Compiles with libsigc++ version 2.2.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 21 Mar 2008 17:03:00 -0700

cwidget (0.5.8-2) unstable; urgency=low

  * Upload to unstable.

  * Build-depend on ikiwiki (>= 1.34) for goodstuff. (Closes: #471997)

  * Eliminate the last few missing #includes (in the test cases,
    Closes: #461682)

    Note that in order to build or use cwidget with g++-4.3, you will need a
    version of libsigc++ that supports g++-4.3 (>= 2.0.18-1).

  * Put the documentation in Programming/C++, not the nonexistant
    section Apps/Programming.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 21 Mar 2008 14:51:07 -0700

cwidget (0.5.8-1) experimental; urgency=low

  * New upstream version.
    - ABI change due to the changes below.
    - Remove all references to hash_map; use std::map instead.
    - Fix all compilation errors with g++ 4.3. (Closes: #461682)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Jan 2008 09:37:11 -0800

cwidget (0.5.7-1) experimental; urgency=low

  * New Upstream Version.

  * ABI change again; create libcwidget2* packages.

  * Fix several threading errors in handling input, particularly when
    cwidget was temporarily suspended and then resumed.

    (Closes: #461342) and possibly more, but I'll have to ask the
    reporters.

  * If a byte sequence read from stdin can't be decoded in the current
    locale, beep at the user instead of throwing a fatal
    exception. (Closes: #460722)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 19 Jan 2008 10:26:00 -0800

cwidget (0.5.6.1-3) unstable; urgency=low

  * Apply patch from Michael Daenzer to support building with
    dpkg-buildpackage -j (Closes: #456678).

  * ikiwiki now depends only on what the core engine needs, and so some of
    the plugins that cwidget users are no longer available in a build
    environment without explicitly installing them.

    Add libhtml-scrubber-perl to Build-Depends (Closes: #458654).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 06 Jan 2008 08:58:49 -0800

cwidget (0.5.6.1-2) unstable; urgency=low

  * Rename debian/libcwidget0.install to debian/libcwidget1.install so the
    library actually gets installed.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Dec 2007 22:24:48 -0800

cwidget (0.5.6.1-1) unstable; urgency=low

  * New upstream version.

  * Rename libcwidget0 and libcwidget0-dbg to libcwidget1 and
    libcwidget1-dbg.

  * Declare libcwidget-doc to be in section doc, to make lintian happy.

  * No longer conflict/provide/replace libcwidget-dbg; those relationships
    were added because libcwidget0-dbg fully replaced libcwidget-dbg, but
    libcwidget1-dbg is not related to libcwidget-dbg.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Dec 2007 18:46:50 -0800

cwidget (0.5.6-1) unstable; urgency=low

  * New upstream version.

  * ABI change; the SONAME is now libcwidget.so.1.

  * If stdin is closed, abort the main loop with an exception instead
    of spinning forever. (Closes: #451770)

  * Add a missing #include <stdarg.h>; fixes building on stable and on
    some other platforms. (Closes: #452979)

  * Add a build dependency on cppunit so 'make check' does something
    useful.

  * Add a build dependency on ikiwiki so we can build all the
    documentation.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Dec 2007 18:07:37 -0800

cwidget (0.5.5-4) unstable; urgency=low

  * Fix a related but different bug in Makefile.am. (Closes: #451400)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 24 Nov 2007 21:35:51 -0800

cwidget (0.5.5-3) unstable; urgency=low

  * Actually fix Makefile.in. (Closes: #451400)

  * Add Homepage and VCS-* fields to the control file.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 24 Nov 2007 08:21:57 -0800

cwidget (0.5.5-2) unstable; urgency=low

  * Do a quick fix for a Makefile bug (a better fix is already present in
    the upstream repository). (Closes: #451400)

  * Rename the debug package from libcwidget-dbg to libcwidget0-dbg, since
    obviously once the soname changes we'll need a separate debug package.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 19 Nov 2007 21:08:10 -0800

cwidget (0.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 15 Nov 2007 21:23:56 -0800

cwidget (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 12 Nov 2007 17:15:18 -0800

cwidget (0.5.3-1) unstable; urgency=low

  * Initial release.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 09 Nov 2007 07:02:45 -0800
